aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authoroldmud0 <3421260-oldmud0@users.noreply.gitlab.com>2019-02-10 01:04:28 +0000
committeroldmud0 <3421260-oldmud0@users.noreply.gitlab.com>2019-02-10 01:04:28 +0000
commit6261be1dc82e3f113a0392c2cf93449d784cfb08 (patch)
tree8112603cb693440f17b5b7f7a6a9cc629d328a99 /scripts
parent757da1624c660496e6cb858285be85c4fb4974b1 (diff)
Add Travis script for Mac builds
Diffstat (limited to 'scripts')
-rw-r--r--scripts/macos_build.sh30
-rw-r--r--scripts/macos_post_build.sh2
2 files changed, 30 insertions, 2 deletions
diff --git a/scripts/macos_build.sh b/scripts/macos_build.sh
new file mode 100644
index 00000000..150c3383
--- /dev/null
+++ b/scripts/macos_build.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -Eeuxo pipefail
+
+export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/usr/local/lib/pkgconfig
+export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/usr/local/opt/openssl/lib/pkgconfig
+export PATH=$PATH:/usr/local/opt/qt5/bin:/usr/local/bin
+
+mkdir bass
+cd bass
+curl http://www.un4seen.com/files/bass24-osx.zip -o bass.zip
+unzip bass.zip
+cp libbass.dylib ../lib
+cd ..
+
+mkdir discord-rpc
+cd discord-rpc
+curl -L https://github.com/discordapp/discord-rpc/releases/download/v3.4.0/discord-rpc-osx.zip
+unzip discord_rpc_osx.zip
+cp discord-rpc/osx-dynamic/lib/libdiscord-rpc.a ../lib
+cd ..
+
+mkdir qtapng
+cd qtapng
+curl -L https://github.com/Skycoder42/QtApng/releases/download/1.1.0-5/build_clang_64_5.12.0.tar.xz -o apng.tar.xz
+tar -xvf apng.tar.xz
+cp clang_64/plugins/imageformats/libqapng.dylib ../lib
+cd ..
+
+qmake && make -j2
diff --git a/scripts/macos_post_build.sh b/scripts/macos_post_build.sh
index d69da0b4..700361ef 100644
--- a/scripts/macos_post_build.sh
+++ b/scripts/macos_post_build.sh
@@ -2,8 +2,6 @@
DST_FOLDER="./bin/Attorney_Online.app/Contents/Frameworks"
-cd ..
-
mkdir $DST_FOLDER
cp ./lib/libbass.dylib $DST_FOLDER